Bug 7513 - MARC Import Hangs
Summary: MARC Import Hangs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: 3.6
Hardware: All All
: P1 - high critical (vote)
Assignee: Galen Charlton
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-08 17:44 UTC by laurenthdl
Modified: 2019-06-27 09:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (4.04 KB, patch)
2012-02-08 17:47 UTC, laurenthdl
Details | Diff | Splinter Review
proposed patch (1.12 KB, patch)
2012-02-09 09:19 UTC, laurenthdl
Details | Diff | Splinter Review
Bug 7513 Marc Import Hangs (1.17 KB, patch)
2012-02-18 07:22 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description laurenthdl 2012-02-08 17:44:00 UTC
When commiting biblio file from file 7510 (UNIMARC), the commit biblio file hangs because of a  Wide Character.
In fact, using the commit_biblios_file.pl in command line, the script dies.
This patch is using C4::Context->preference('marcflavour') in as_xml
It should be tested on a MARC21 installation in order to validate that patch.
Comment 1 laurenthdl 2012-02-08 17:47:27 UTC Comment hidden (obsolete)
Comment 2 laurenthdl 2012-02-09 09:19:19 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2012-02-18 07:22:02 UTC
Created attachment 7746 [details] [review]
Bug 7513 Marc Import Hangs

On some record, the commit_biblio_file is creating wide
character
because as_xml is not used with correct parameter.
This patch fixes that.
To test on a UNIMARC Koha, stage attachment 7510 [details] and
then import.
It hangs before the patch, it passes after.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 4 Paul Poulain 2012-02-21 16:00:12 UTC
QA comment:
* tiny patch (2 lines)
* fixes a critical problem for UNIMARC users, updating severity
Comment 5 Jared Camins-Esakov 2012-05-23 23:24:07 UTC
This patch will be included in the forthcoming 3.6.5 release (no string changes).
Comment 6 Katrin Fischer 2012-09-01 05:47:49 UTC
Looking at the patch - wonder if it should go into 3.8.x too?
Comment 7 Chris Cormack 2012-09-01 07:14:09 UTC
It already is, it was pushed to master before 3.8.0 was released